Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Makro soll Photoview 360 starten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: SOLIDWORKS - DFMXpress
Autor Thema:   Makro soll Photoview 360 starten (1078 mal gelesen)
Issey
Mitglied


Sehen Sie sich das Profil von Issey an!   Senden Sie eine Private Message an Issey  Schreiben Sie einen Gästebucheintrag für Issey

Beiträge: 4
Registriert: 29.03.2012

ThinkPad W701
i7 Q720-1.6GHz - Quadro FX2800M
Win7 PRO SP1 x64 - SWX 2012-SP2

erstellt am: 02. Apr. 2012 12:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo an alle,

ich schaue hin und wieder mal hier vorbei, habe jetzt allerdings ein Problem das ich durch pures "mitlesen" nicht lösen kann.

Gibt es die Möglichkeit Photoview 360 mit den aktuellen Einstellungen über ein Makro zu starten?

So wie hier für das alte Photoworks: Kap05  beschrieben?

Ich finde in der API irgendwie kein Befehl 

Besten Dank vorab.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ralf Tide
Moderator
Beratender Ingenieur




Sehen Sie sich das Profil von Ralf Tide an!   Senden Sie eine Private Message an Ralf Tide  Schreiben Sie einen Gästebucheintrag für Ralf Tide

Beiträge: 4541
Registriert: 06.08.2001

.-)

erstellt am: 02. Apr. 2012 12:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Issey 10 Unities + Antwort hilfreich

Hallo Issey,

willkommen im Forum.

Wenn Du schon auf Stefans Seite gelesen hast, dann wiederhole ich nochmal einen anderen Hinweis: einfach ein Makro aufzeichnen (in wlechem Du ein Rendering startest) 

HTH & bis demnäx,
Ralf

------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Issey
Mitglied


Sehen Sie sich das Profil von Issey an!   Senden Sie eine Private Message an Issey  Schreiben Sie einen Gästebucheintrag für Issey

Beiträge: 4
Registriert: 29.03.2012

ThinkPad W701
i7 Q720-1.6GHz - Quadro FX2800M
Win7 PRO SP1 x64 - SWX 2012-SP2

erstellt am: 02. Apr. 2012 18:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für den Tip, aber das habe ich schon versucht, dabei wird aber nur folgendes aufgezeichnet:

Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long
-----------------------------------------------------------
Sub main()

Set swApp = _
Application.SldWorks

Set Part = swApp.ActiveDoc
Dim myModelView As Object
Set myModelView = Part.ActiveView
myModelView.FrameState = swWindowState_e.swWindowMaximized
End Sub

Vorgehen:
Makro aufzeichen starten
Via Maus Photoview-Menü
Endrendering durchlaufen lassen
Bild speichern
Makro aufzeichen Stop
Makro abspeichern

Irgendwie mache ich da wohl was falsch...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HenryV
Mitglied
Konstrukteur, Engineering


Sehen Sie sich das Profil von HenryV an!   Senden Sie eine Private Message an HenryV  Schreiben Sie einen Gästebucheintrag für HenryV

Beiträge: 702
Registriert: 18.05.2005

erstellt am: 03. Apr. 2012 11:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Issey 10 Unities + Antwort hilfreich

Hallo Issey

In der SolidWork-Hilfe gibt es ein Beispiel.
http://help.solidworks.com/2012/English/api/sldworksapi/render_model_example_vb.htm

Gruss Andreas

------------------
21 ist nur die halbe Antwort.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Issey
Mitglied


Sehen Sie sich das Profil von Issey an!   Senden Sie eine Private Message an Issey  Schreiben Sie einen Gästebucheintrag für Issey

Beiträge: 4
Registriert: 29.03.2012

ThinkPad W701
i7 Q720-1.6GHz - Quadro FX2800M
Win7 PRO SP1 x64 - SWX 2012-SP2

erstellt am: 03. Apr. 2012 16:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo HenryV,

vielen Dank für den Link, genau danach habe ich verzweifelt gesucht.

Ü's sind unterwegs.

Gruß
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz